{inputs, ...}: {
  imports = with inputs; [
    self.nixosModules.desktop
    self.nixosModules.system
    ./boot.nix
    ./disko.nix
    ./hardware.nix
    ./networking.nix
    ./nix.nix
    ./power-saving.nix
    ../dunamis/programs.nix
    ./services.nix
    ./sops.nix
    ./users.nix
    ./minecraft.nix
  ];

  # desktop.niri.enable = true;

  locale.ukrainian.enable = true;

  module.stylix = {
    enable = true;
    theme = "nord";
  };

  opentabletdriver.enable = false;

  # qmk-vial.enable = true;

  security.basic.enable = true;

  system.stateVersion = "25.05";

  swapDevices = [
    {
      device = "/swap/swapfile";
      size = 8 * 1024; # eight gigs
    }
  ];

  time.timeZone = "Europe/Kyiv";

  # virtual.libvirt.enable = true;

  # wireless = {
  #   wifi.enable = true;
  #   bluetooth.enable = true;
  #   bluetooth.enableBlueman = true;
  # };
}
