{
  inputs,
  config,
  pkgs,
  ...
}: let
  inherit (config.sops) secrets;
  inherit (inputs) mysecrets;
in {
  nix.settings.trusted-users = ["user"];
  users.mutableUsers = false;
  users.users = {
    user = {
      hashedPasswordFile = secrets."user-password-hashed".path;
      isNormalUser = true;
      extraGroups = ["wheel" "video" "libvirtd" "dialout"];
      shell = pkgs.fish;
      openssh.authorizedKeys.keyFiles = map (f: "${mysecrets}/ssh/user/${f}") [
        "id_dunamis_ed25519.pub"
        "id_eldrid_ed25519.pub"
        "id_sarien_ed25519.pub"
      ];
    };
  };
}
